(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7965,        258]
NotebookOptionsPosition[      7569,        242]
NotebookOutlinePosition[      8012,        259]
CellTagsIndexPosition[      7969,        256]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"dos", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R", "\[Rule]", "6"}], ",", 
     RowBox[{"c", "->", 
      SuperscriptBox["10", 
       RowBox[{"-", "4"}]]}], ",", 
     RowBox[{"L", "->", "0.1"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r1", "=", 
   RowBox[{
    RowBox[{"u", "[", "t", "]"}], "\[Equal]", 
    RowBox[{
     RowBox[{"R", "*", 
      RowBox[{"i", "[", "t", "]"}]}], "+", 
     RowBox[{"L", "*", 
      RowBox[{
       RowBox[{"i", "'"}], "[", "t", "]"}]}], "+", 
     RowBox[{"uc", "[", "t", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r2", "=", 
   RowBox[{
    RowBox[{"i", "[", "t", "]"}], "\[Equal]", 
    RowBox[{"c", "*", 
     RowBox[{
      RowBox[{"uc", "'"}], "[", "t", "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rr", "=", 
   RowBox[{"{", 
    RowBox[{"r1", ",", "r2"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pat1", ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a_", "[", "t", "]"}], "\[RuleDelayed]", "a"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nezname", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Flatten", "[", 
       RowBox[{"Cases", "[", 
        RowBox[{"rr", ",", 
         RowBox[{
          RowBox[{"_", "'"}], "[", "t", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}], "]"}], "//", 
      "Union"}], ")"}], "/.", "pat1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resder", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"rr", "/.", "pat1"}], ",", "nezname"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "/.", "pat1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bezder", "=", 
   RowBox[{
    RowBox[{"Complement", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Flatten", "[", 
          RowBox[{"Cases", "[", 
           RowBox[{"rr", ",", 
            RowBox[{"_", "[", "t", "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}], "]"}], "//", 
         "Union"}], ")"}], "/.", "pat1"}], ",", "nezname"}], "]"}], "/.", 
    "pat1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vect", "=", 
   RowBox[{"nezname", "/.", "resder"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g", ":=", 
   RowBox[{"Function", "[", 
    RowBox[{
     RowBox[{"bezder", "//", "Evaluate"}], ",", 
     RowBox[{"vect", "//", "Evaluate"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.4629833553105264`*^9, 3.4629833760403347`*^9}, {
   3.4629834258820033`*^9, 3.462983435686101*^9}, {3.4629844997973566`*^9, 
   3.4629845181938095`*^9}, 3.462984557049681*^9, {3.4629846312663994`*^9, 
   3.4629846462078843`*^9}, 3.46298484573479*^9, {3.4629850242414703`*^9, 
   3.462985024842334*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"tau", "=", 
   RowBox[{
    RowBox[{"2", "*", "Pi", "*", 
     SqrtBox[
      RowBox[{"L", "*", "c"}]]}], "/.", "dos"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<tau= \>\"", ",", "tau", ",", "\"\< s\>\""}], "]"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"vstup", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{".1", "*", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", "*", "Pi", "*", 
       RowBox[{"(", 
        FractionBox["1.1", "tau"], ")"}], "*", "t"}], "]"}]}], "+", "1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", 
   RowBox[{"8", "tau"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", "2000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]t", "=", 
   FractionBox["tmax", "n"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"h", "[", 
    RowBox[{"{", 
     RowBox[{"t_", ",", 
      RowBox[{"{", 
       RowBox[{"i_", ",", "uc_"}], "}"}]}], "}"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "vectder", "}"}], ",", 
     RowBox[{
      RowBox[{"vectder", "=", 
       RowBox[{
        RowBox[{"g", "[", 
         RowBox[{"i", ",", 
          RowBox[{"vstup", "[", "t", "]"}], ",", "uc"}], "]"}], "/.", 
        "dos"}]}], ";", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"t", "+", "\[CapitalDelta]t"}], ",", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"i", ",", "uc"}], "}"}], "+", 
         RowBox[{"\[CapitalDelta]t", "*", "vectder"}]}]}], "}"}]}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pocstav", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"reseni", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"h", ",", "pocstav", ",", "n"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"proudy", "=", 
   RowBox[{"reseni", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t_", ",", 
       RowBox[{"{", 
        RowBox[{"i_", ",", "uc_"}], "}"}]}], "}"}], "\[RuleDelayed]", 
     RowBox[{"{", 
      RowBox[{"t", ",", "i"}], "}"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"napeti", "=", 
   RowBox[{"reseni", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t_", ",", 
       RowBox[{"{", 
        RowBox[{"i_", ",", "uc_"}], "}"}]}], "}"}], "\[RuleDelayed]", 
     RowBox[{"{", 
      RowBox[{"t", ",", "uc"}], "}"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"jak", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.63", "]"}], ",", 
        RowBox[{"PointSize", "[", "0.005", "]"}]}], "}"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"jakproudy", "=", 
   RowBox[{"{", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<t [s]\>\"", ",", "\"\<i [A]\>\""}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"jaknapeti", "=", 
   RowBox[{"{", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<t [s]\>\"", ",", "\"\<uc [V]\>\""}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"proudy", ",", 
   RowBox[{"Sequence", "@@", 
    RowBox[{"Union", "[", 
     RowBox[{"jak", ",", "jakproudy"}], "]"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"napeti", ",", 
   RowBox[{"Sequence", "@@", 
    RowBox[{"Union", "[", 
     RowBox[{"jak", ",", "jaknapeti"}], "]"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4629838041771035`*^9, 3.462983923779083*^9}, {
   3.462984596836892*^9, 3.462984608543726*^9}, 3.4629850702976956`*^9, {
   3.463129815524*^9, 3.4631299303059998`*^9}}]
},
WindowSize->{1052, 874},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 2963, 91, 345, "Input"],
Cell[3511, 113, 4054, 127, 594, "Input"]
}
]
*)

(* End of internal cache information *)
